# Server Temp Fix

### Adds game logic fixes

**NOTE: Conflicts with most gamemode override mods, recommand only on vanilla-like servers**

**May cause new bugs after some fix. Please let me know if there're any problem**

Aims on re-implement some vanilla behavior to Northstar

Not all fixes are listed here. There have been some fixes I made way too long time ago that I can't remember correctly


- General BUGs:
    - Fix titans can only get half of normal core meters from kills
    - Fix loadout selection time not ending after firing weapon
    - Fix weapon can drop from executions even when weapon drops are disabled
    - Fix pilot earnmeter/titan coremeter values and pilot overdrive decay
    - Fix pilot players lose their boosts forever if their auto titan died without being embarked

- Boosts:
    - Amped Weapons: Fix weird duration when picking up from ground. Fix it removes weapon's silencer forever
    - Phase Rewind: Fix usable while in evac dropship. Fix sometimes player can clip into map
    - Radar Jammer: Fix missing multiple pulses
    - Ticks: Fix player only get 1 tick when earning ticks from Dice Roll or already having 4 ticks


- Gamemodes:
    - Attrition: Fix npc weapons, spawn waves and enemy search logic( actual behavior depending on map's navmesh )
    - Bounty Hunt: Fix npc weapons and wave transition
    - Titan Brawl: Fix titan core earning and damage display on scoreboard
    - Marked for Death: Fix client-side crash when mark is killed by environment damage. Fix dialogue and medal events
    - Live Fire: Fix intro duration. Fix player objectives
    - Last Titan Standing: Fix 30s highlight method and intro. Fix titan selection menu duration


- Game Misc Stuffs
    - Fix grunt dialogue can play on titans
    - Grunt dialogue about their squad and friendly units
    - Fix dropship intro and wargames intro
    - Fix projectile Kill Replay
    - Fix spectator mode toggle and callsign display
    - Titans always do warpfall in roof covered maps( such as boomtown )
    - Fix epilogue logic and evacing player killed score
    - Fix Kill replay playing during match summary
    - Fix "Skip Replay" button
    - Fix Kill replay won't play if attacker player disconnects or npc dies
    - Fix Round-Based gamemode replay and round transition
    - Enable loadout selection in featured modes
    - Sound fadeout on switching sides and match summary
    - Infantry with AT weapon don't flee from titans
    - Fix score event display value and override settings
    - Fix titan featured modes gives player two electric smoke on start when they equipped OverCore
    - Add custom air acceleration compatibility with titan eject
    - Add invulnerability while respawning as titan

### Change Logs

**v1.3.16**

- Fix Round-Based elimination gamemodes never end after "v1.3.4: Fix Round-Based gamemode replay and round transition"

- Fix FFA gamemodes might crush on player first spawn


**v1.3.15**

- Add invulnerability while respawning as titan, prevent it sometimes failsafe and make player unable to call in titan in the rest of match

- Fix an issue where picking up batteries only adds battery counter but won't carry it on back

- Fix player's boost gets reset to start if they changed it during intro and dying as titan

- Add Northstar v1.20.0 compatibility


**v1.3.14**

- Fix a crash that happens when player "Out of sync with server"


**v1.3.13**

- Fix Earnmeter overdrive can drop down under 0 on player death

- Revert "v1.3.12: Fix Attrition spectres can be hacked multiple time"... it is vanilla behavior! Kinda funny one

- Fix npc friendly highlights

- Add custom air acceleration compatibility with titan eject

- Add compatibility with Northstar v1.19.10


**v1.3.12**

- Again, fix score event value and decay( re-adjusted from vanilla )

- Add compatibility with Northstar v1.19.9

- Fix Attrition spectres can be hacked multiple time


**v1.3.11**

- Fix two-team gamemodes always tie on timer end

- Fix titan featured modes gives player two electric smoke on start when they equipped OverCore

- Fix gibbed player can drop two weapons on death


**v1.3.10**

- Fix killing hacked spectres in Attrition will give score

- Fix spectator crash that may happen during epilogue


**v1.3.9**

- Fix score event display value and override settings


**v1.3.8**

- Sound fadeout on switching sides and match summary

- Fix titan self damage triggering "Titan Assist"

- Infantry with AT weapon don't flee from titans


**v1.3.7**

- Fix Attrition spawn wave bugged after intro crash fix in v1.3.2


**v1.3.6**

- Enable loadout selection in featured modes

- Fix Last Titan Standing titan selection menu duration


**v1.3.5**

- Update README


**v1.3.4**

- Fix Kill replay won't play if attacker player disconnects or npc dies

- Fix Round-Based gamemode replay and round transition

- Fix Pilot EarnMeter overdrive decay speed

- Fix pilot lost their boosts forever if their auto titan died without being embarked


**v1.3.3**

- Fix epilogue logic. Fix evacing player killed score

- Use better screen fades on epilogue/match end to match vanilla

- Fix Titan Brawl player can earn coremeter from Titan Assist

- Fix Attrition and Bounty Hunt npc weapons


**v1.3.2**

- Fix incorrect kill replay callsign display when killed by a npc

- Add better cleanup for match end and epilogue end

- Fix Kill replay playing during match summary

- Fix "Skip Replay" button

- Fix a crash that may happen during Attrition intro spawn


**v1.3.1**

- Add compatibility with [PR#701](https://github.com/R2Northstar/NorthstarMods/pull/701)


**v1.3.0**

- Remove `spawn.nut` to avoid conflict with [PR#512](https://github.com/R2Northstar/NorthstarMods/pull/512)

- Add compatibility with [PR#655](https://github.com/R2Northstar/NorthstarMods/pull/655)

- Fix Last Titan Standing 30s highlight method and intro

- Fix Attrition and Bounty Hunt npc spawn waves


**v1.2.2**

- Fix FW to avoid conflict with [PR#579](https://github.com/R2Northstar/NorthstarMods/pull/579)


**v1.2.1**

- Remove `ns_forced_respawn` to avoid conflict with [PR#554](https://github.com/R2Northstar/NorthstarMods/pull/554)


**v1.2.0**

- Titans always do warpfall in roof covered maps( such as boomtown )

- Fix Attrition intro spawn


**v1.1.0**

- Fix weapon can drop from executions even when weapon drops are disabled